%set_verify_elf_method textrel=relaxed

%define	vdrbuild	1.3.15-alt1
%define	plugindir	/usr/lib/vdr
%define pname 		femon

Name: vdr-%pname
Version: 0.1.6
Release: alt4

Summary: Signal information plugin for VDR
Summary(ru_RU.UTF-8): Модуль показа параметров сигнала для VDR
License: GPL
Group: Video
URL: http://www.saunalahti.fi/~rahrenbe/vdr/femon/
Source0: %name-%version.tgz
Patch0: russian-%pname-%version.diff
BuildPreReq: kernel-headers-dvb vdr-devel = %vdrbuild
BuildRequires: gcc-c++ libjpeg-devel libstdc++-devel
Requires: vdr = %vdrbuild

%description
DVB Frontend Status Monitor is a plugin that displays some signal information
parameters of the current tuned channel on OSD. The transponder information is 
also available in advanced display mode.

%description -l ru_RU.UTF-8
Монитор состояния DVB-платы - модуль, который выводит на экран некоторые параметры
сигнала принимаемого канала. В расширенном режиме также доступны основные данные о 
канале.

%prep
%setup -c -q

# place everything in order
%__mkdir -p PLUGINS/src
%__mkdir -p PLUGINS/lib
%__cp -r %_includedir/vdr/* .
%__mv %pname-%version PLUGINS/src/%pname

%patch0 -p1

%build
%make plugins

%install
%__install -d %buildroot%plugindir
%__install PLUGINS/lib/* %buildroot%plugindir

%files
%plugindir/*
%doc PLUGINS/src/%pname/README

%changelog
* Fri Nov 05 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.1.6-alt4
- vdr-1.3.15

* Fri Oct 29 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.1.6-alt3
- vdr-1.3.14

* Sun Oct 17 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.1.6-alt2
- Buildfix

* Tue Oct 05 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.1.6-alt1
- 0.1.6

* Sat Apr 03 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.0.3c-alt1
- Initial build
